
Redmine - Defect #19482

Custom field (long text format) displayed even if empty

2015-03-25 15:09 - Oana VIGY

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 3.0.2   

Resolution: Fixed Affected version: 3.0.0

Description

Dear All,

custom fields in "long text" format are displayed even if no value is set (reproduced for "project" and "version" custom fields).

Problem faced in Redmine 3.0.0 ; not in the last version 2.3.2 used before the test-upgrade to 3.0.0.

Old "long text" custom fields (created in previous versions) are now displayed as empty in version 3.0.0 as well as new custom fields.

Best regards,

Oana

Related issues:

Related to Redmine - Defect #18654: Custom field is rendered, even if its val... Closed

Associated revisions

Revision 14215 - 2015-04-25 10:00 - Jean-Philippe Lang

Custom field (long text format) displayed even if empty (#19482).

Revision 14216 - 2015-04-25 10:01 - Jean-Philippe Lang

Merged r14215 (#19482).

History

#1 - 2015-03-25 15:52 - Oana VIGY

I forgot those things...

Environment:

  Redmine version                3.0.0.stable

  Ruby version                   1.9.3-p194 (2012-04-20) [x86_64-linux]

  Rails version                  4.2.0

  Environment                    production

  Database adapter               Mysql2

#2 - 2015-04-23 08:51 - Toshi MARUYAMA

- Related to Defect #18654: Custom field is rendered, even if its value is empty (for multiple) added

#3 - 2015-04-23 08:52 - Toshi MARUYAMA

- Status changed from New to Confirmed

- Target version set to 3.0.2

#4 - 2015-04-25 10:01 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r14215.
https://www.redmine.org/projects/redmine/repository/svn/revisions/14215


#5 - 2015-04-27 08:54 - Oana VIGY

Thanks for the fix!

Best regards,

Oana
